ķ
 ARCserve/Solo User Guide                                       Version 2.11 
ͼ

Welcome to the world of Cheyenne Software's ARCserve/Solo, the
backup and restore solution for stand alone or networked DOS
workstations.  ARCserve/Solo offers the following features: 

        A user-friendly, menu-driven interface - To back up data, select
        Back Up To Tape from a menu.  To restore data, select Restore From
        Tape from a menu.  To specify directories or files, pick them
        from a graphical tree or enter their names directly into a form.
        Forms for specifying job information - After entering job
        information into a form, save it to submit the job.  You can have
        the job start immediately or schedule it to start at a later
        time.

        Unattended Operations - Schedule jobs to run on a specific date, 
        at a specific time, and to repeat at random or constant
        intervals.

        Create "scripts" for frequently run jobs - Save a job entry form, 
        along with its information, as a script.  To run the job again, 
        select the script name from a list.

        File Tracking System ARCserve/Solo maintains a database of
        backup and restore operations.  Using this database, you can
        selectively restore files from a backup session or get version
        information for a particular file.  You can still choose to
        restore an entire backup session, but this option gives you
        added flexibility.

        File management and tape maintenance options - In addition to
        backup and restore, ARCserve/Open has file management options
        that help you with file removal (Purge) and disk space
        calculations (Count).  It also has tape management options such
        as formatting, testing, resetting, and erasing.

        Tape database for tape management - When a tape is placed in
        service and formatted by ARCserve/Open, an entry is made in the
        tape database.  Every time that tape is used, whether it is
        written to, or read from in a scanning or restore operation, you
        can choose to add this information to its record.  If you change
        the tape name, the name of the record changes too, and all the
        old information is kept.

        File attributes are preserved - DOS file attributes are always
        preserved when backing up and restoring files.  If you are
        attached to a Novell LAN, file attributes and ownership are
        preserved when both the source and destination are on the file
        server.

Terminology

The terms backup and archive tend to have slightly different meanings, 
depending on who's using them.  To avoid any confusion, we are providing 
you with definitions of these terms, as they apply to ARCserve/Solo.

Backup is the process of copying files/directories, from a local drive or 
mapped network drive, to a tape drive.  All records of backup jobs are 
placed in a File Tracking System (FTS) Database so that you can locate 
the backed up files and then restore them.  This eliminates the 
time-consuming process of keeping your own log of which file is on which 
tape!

Archiving is the process of copying files/directories, from a local drive or 
mapped network drive, to a local drive or mapped network drive.  Archiving 
records can also be placed in the FTS Database and are easily distinguished 
from backup records.  Restore lets you copy files and directories from a 
tape drive back onto your hard drive.  You can also "reverse archive" files, 
or copy the files you originally archived to a new location.  All you have 
to do is specify the source (original archive) and destination (local or 
mapped drive and directory).  

Two other terms that appear in this manual, unattended and attended also 
deserve some explanation: 

Unattended jobs are performed in the background by ARCserve/Solo.  These jobs 
are scheduled in queues that are set up on your system.  

Attended jobs are jobs that run in the foreground.  These jobs require a 
dedicated systemand are useful if you want to watch the job's progress.  

ARCserve/Solo's design is based on open architecture, making it compatible 
with industry standard tape drives and direct access devices, such as hard 
disks, floppy disks, WORM (write once, read many) drives, EO (erasable 
optical) drives, etc.  

Our goal, throughout this Guide, has been to present the maximum amount of 
useful information, as clearly and concisely as possible.  A lot of ground 
is covered quickly, so please read everything carefully.  Once you've read 
the User Guide, you will be able to archive, back up, and restore your files 
quickly and easily!

Purpose Of This User Guide

This User Guide is a very important part of this package.  All of the 
information that you need to set up and run ARCserve/Solo is contained in 
this Guide.  Since each section has been designed to build upon the 
preceding sections, we suggest that you take the time to read the User Guide 
in the order that it is presented.  In this way, you will be assured of 
trouble-free program installation, initialization and operation.  

Getting help

Cheyenne prides itself on the level and quality of support it provides for 
its customers.  There are several methods of help available to you.  

The Online Help System provides an explanation of the field on which the 
cursor is positioned.  To use the Online Help System, press F1 and an 
explanation of the current field appears.  To get help on the use of special 
keys, press F1 a second time.  To exit the help system, press Esc.  If you 
still need help after consulting the Online Help and the manual, you can 
contact us directly.  Technical support is free to all registered
ARCserve/Solo users and the number is on the front page of this manual.  

Keys & Screens

Three basic screen types are used to exchange information between 
ARCserve/Solo and the user: 

        menus
        picklists
        forms

Each of these has a specific purpose and they appear at various points 
throughout the program.  The rules outlined on the following pages are 
general and apply to all menus, picklists, and forms.  Should exceptions 
exist, they will be noted, where applicable, in the following chapters.  

The general screen format is depicted in the following figure.  At the 
top of the screen is a header that shows the program name and version, the 
current date and time, and the user name and file server attachment.  At the 
bottom is a list of keys that can be used with the menu, form, or picklist 
appearing in the center of the screen.  

Special Keys

ARCserve/Solo recognizes some special keys.  They are listed below along with 
their function and use.  

F1    = The HELP key is used to invoke the On-line Help utility, which
        provides insight on how to complete fields, what selections mean, 
        etc.  With the highlight on the item in question, press F1 to open
        the help window.  The PgUp and PgDn keys are functional here if
        there is more than one page of help.  Press F1 a second time to
        display a list of special keys and their assignments that are
        operational within ARCserve/Solo.  

F2    = The DONE key is used to execute a form.  After confirming all
        of your entries on the form, press F2 to process your data.  

F3    = The MODIFY key is used to edit an item.  Pressing this key will
        cause the edit prompt to appear with the existing item as a
        default.  

F5    = The MARK key is used to flag multiple items for selection.  
        Highlight the desired item and then press F5 to flag it.  If an 
        item is flagged and it should not be, highlight the item and 
        press F5 to unmark it.  

F6    = Use this key to select all items in a picklist.  

F7    = Deselect all items that you selected using F5 or F6.  

F9    = Change modes.  
Enter = The ENTER key is used for selecting a highlighted item, moving the 
        field entry prompt into the highlighted field, accepting the data 
        as is shown in the highlighted field, and confirming selections.  

Esc   = The ESCAPE key is used to return to the previous screen or to exit 
        from the program.  

Ins   = The INSERT key is used to add an additional item to a picklist, or 
        to add data to a field.  When used with forms, this key is used to 
        display path specifications for the source and destination fields.  

Del   = The DELETE key is used to remove an item from a picklist or data 
        from a field.  

PgUp  = The PAGE UP key is used to return to the previous page of a help 
        screen, a picklist, or when viewing a file.  This key may also be 
        used to move the highlight to the top of the screen.  

PgDn  = The PAGE DOWN key is used to advance to the next page of a help 
        screen, picklist, or file.  This key may also be used to move the 
        highlight to the bottom of the screen.  
ARROWS= These cursor control keys can be used in three ways.  First, they 
        can be used to move the highlight around a menu, picklist, or form.  
        Second, when editing a field they can be used to move the entry 
        prompt (underscore) to the desired place within the field.  Lastly, 
        they can be used to toggle between choices when the entry prompt is 
        within a toggle field.  

NOTE:   On some machines only the ARROWS on the numeric keypad are
        functional.  Please ensure that NumLock is off.  

Alt + F10     = To exit the program hold down the ALT key and then press F10.  
                This will cause the Exit ARCserve/Solo Menu to be displayed.  

Ctrl + PgDn   = Use this key combination to go to the end of a file that is 
                displayed on the screen.  

Ctrl + PgUp   = Press Ctrl and PgUp to go to the beginning of a file that is 
                displayed on the screen.  

Menus

ARCserve/Solo has a completely menu-driven user interface.  It is therefore 
important to spend a few moments learning how to move both within and between 
the various menus.  To select a menu option, use the ARROWS to highlight the 
desired selection.  Once it has been highlighted, press Enter to make the 
selection and proceed to the next screen.  

Picklists

A picklist is quite similar to a menu.  It is used to select single or 
multiple items from a list of available choices.  To select a single item, 
use the ARROWS to highlight the desired selection and then press Enter.  
To select more than one item, use the ARROWS as above, but then use the 
MARK key, F5, to flag the picklist item for selection.  Continue this process 
until you have made all of the selections and the highlight is on the final
selection.  Press the Enter key to process all selections and proceed with 
program operation.  

Forms

A third type of screen, a form, is used whenever the data to be entered is 
variable, such as file names, directories, user names, etc.  On a form, you 
are required to select fields and enter the appropriate data within these 
fields.  Wherever possible, default values are provided for various fields 
on the form.  Whenever a form is first displayed, the highlight will be on 
the first field.  Use the cursor control keys to move the highlight in the
desired direction from one field to another.  Once a text entry field has 
been highlighted, you can begin to enter your data.  Use the Enter key to 
process the entry and exit the field.  Use the Ins and Del keys to either 
add or remove information, respectively.  When the form is complete, use 
the F2 key to leave the form and process the information.  Should you 
decide to cancel the operation at any point within the form, use the Esc key.  

NOTE:   You can press F1 while the cursor is in a field to get help for that 
        field.  

Forms have three different types of fields: 

TEXT ENTRY fields are used for entering user specifications.  

TOGGLE fields allow you to select one of two choices.  Press Enter and then 
use the left/right arrow keys or the first letters of the two choices to 
select the correct item.  

PICKLIST fields appear on forms and are basically the same as a picklist 
displayed as a screen.  Single or multiple items can be selected from the 
list of available choices.  

Scripts

You can save some of the more frequently used forms as scripts.  You can 
recall these forms at any time, with the information you entered, by 
selecting their names from a Script List.  Scripts save you the work of 
completing the form each time you repeat a job.  For example, you may wish to 
count the number of files in a particular directory on a weekly basis.  The 
Count Form has fields for entering a report name, files and directories to 
include or exclude, whether to count hidden files and whether to count 
special files.  If you know that this information won't change from week to 
week, you can enter it, then save the form as a script.  The next time you 
run the job, select the script name from the Count Script List and the job 
will be executed.  

The Script List doesn't appear until after you create your first script.  
Before creating a script, the form appears where you enter the job 
information.  After you create your first script, the Select Script File List 
will always appear before the job entry form.  In addition to your scripts, 
BLANK FORM will appear in the Select Script File List.  Use BLANK FORM to 
create a new job.  Scripts are specific for each job type.  A backup script
will only appear when you select Backup, and a count script will only appear 
when you select Count.  

Mouse Support

ARCserve/Solo lets you use a mouse to select menu and picklist items.  If 
the mouse driver is loaded, the mouse pointer (a character block) appears on 
the screen when ARCserve/Solo is started.  You can select a menu option with 
the mouse by highlighting the item and clicking the left mouse button.  You 
can also move from field to field in a form and change the choice in a toggle 
field using the left mouse button.  The right mouse button is used in the 
same manner as the Esc key, to return to a previous screen or exit from the 
program.  

Installation

This section covers the hardware and software requirements, installing the 
software, and configuring the software.  

NOTE:   You must install your host adapter and tape drive before installing 
        ARCserve/Solo!  Follow the instructions in the adapter and drive 
        manuals and then write down the parameters (such as DMA channel, 
        IRQ level, I/O Port, Bus Type) that you used, as you will need this 
        information to configure ARCserve/Solo.  

Hardware & Software Requirements

Following is a description of the hardware and software required to 
successfully run Cheyenne's ARCserve/Solo.  
        
      - IBM PC, XT, AT, PS/2, or compatible with 640 KB of memory and at
        least 800 KB of available disk storage space, plus storage space
        for your database files and scripts
      - DOS v3.0 or greater
      - Supported tape drive and host adapter if you want to use the tape
        related functions.  

Software Installation

1.  Insert the ARCserve/Solo distribution diskette into a local floppy 
    drive (A or B).

2.  Change your default drive to the one that contains the Install Floppy

3.  Type INSTALL and press Enter.  Shortly thereafter, the ARCserve/Solo 
    Installation menu will appear.  When it does, the Install ARCserve/Solo 
    menu item will be highlighted.  

4.  Press Enter to select "Install ARCserve/Solo.  The Install ARCserve/Solo 
    Form will appear with the defaults.  You can change any of the defaults 
    using the standard keys for editing ARCserve/Solo forms (see Chapter 2).  
    You can also press F1 while in any field and get help for that field.  

NOTE:   If you are uncertain about any of the options on this screen, go with 
        the defaults.  You can always change them after you become familiar 
        with the program.  

5.  Press F2 to save the ARCserve/Solo configuration form.  The necessary
    ARCserve/Solo files will be copied to their appropriate drives/directories 
    and the following real-time screens will display the status of the 
    operation.  The status bars show the percentage of the installation that 
    is complete.  After the installation is complete, you are prompted to 
    press any key to continue.  

6.  Press any key to return to the Installation Main Menu.  

At this point, you have successfully installed ARCserve/Solo! If this is
the first time you've installed ARCserve/Solo on your system, you can press 
Esc at this point to quit the installation program.  This returns you to the 
DOS prompt and concludes the installation.  

ARCserve/Solo is now ready to be configured.  Go to Section 3.3, Software 
Configuration.  If you are re-installing, or upgrading ARCserve/Solo, and 
you want to convert the FTS database and scripts from the old version, go 
on to the next section.  

Converting the Database Files

Notice that there are two options for converting the database files: 

        Convert v2.0 Database
        Convert v1.x Database

Select the option that corresponds to the last version of ARCserve/Solo you 
installed on your system.  If you select the v2.0 conversion, the files are 
converted and the status of the conversion displayed to you.  If you select 
the v1.x conversion, the following screen is displayed: 

1.  Enter the name of the directory where the old database files are stored.  
    The Target Directory is the one you specified while installing the 
    software.  

2.  Press F2 to begin the database conversion process.  The following 
    Converting Database Screen displays the status of the conversion.  

3.  Press any key when prompted to do so.  You are returned to the 
    Installation Menu.  

Converting Scripts

1.  Select Convert Scripts from the Installation Main Menu.  The Convert 
    Scripts Form is displayed.  

2.  Enter the name of the directory where the script files are stored in the 
    Convert Scripts Source Directory field.  The Target Directory is the 
    directory that you specified while installing the software.  

3.  Press F2 to begin the database conversion process.  The following status 
    screen will display the percentage of the conversion completed.  

4.  Press any key when prompted to do so.  You are returned to the
    Installation Menu.  

Exit the Install Program

1.  Press Esc to display the Exit Install Menu.  

2.  Answer "Yes" to confirm that you want to leave the install program.  
    This will return you to the DOS prompt and conclude the upgrade.  

ARCserve/Solo is now ready for tape driver configuration.  Proceed with the 
next section, Software Configuration.  

Configuring the Software 

The configuration phase consists of two steps: 

        Setting certain global parameters, or "preferences"
        Selecting and setting options for your SCSI host adapter.  

The global parameters consist of items such as how many times to retry busy 
files, whether to save scripts automatically, and whether to track all files 
in the activity log.  The host adapter configuration consists of selecting 
your interface board from a list of boards and then entering the boards I/O 
port number, DMA channel, etc.  The information that you need to supply for 
the host adapter board varies depending on the board you are using.  To 
configure ARCserve/Solo, start the program by typing arcsolo (from the 
directory where you installed it, if you haven't modified your path to find 
it).  The Available Topics Menu appears.  

1.  Select Administration from the Available Topics Menu.  The
    Administration Menu appears.  

Setting global parameters (preferences)

1.  Select Configure Options from the Administration Menu.  The
    ARCserve/Solo Options Screen appears.  

All the keys that work in standard ARCserve/Solo forms (see Chapter 2) work 
in this form.  You can also press F1 on any field to get help for that field.  
The fields on the ARCserve/Solo Options form are summarized below.  

DATABASE DIRECTORY: This is where the database files for the File Tracking 
        System (FTS) are stored.  This path was set when you installed 
        ARCserve/Solo.  If you change the path, you will have to move all 
        the database files to the new directory.  If you do not move the 
        files to the new directory, ARCserve/Solo will create new ones.  

SCRIPT DIRECTORY: This is where the scripts are stored.  This path was set 
        when you installed ARCserve/Solo.  If you change the path, you will 
        have to move all the script files to the new directory.  If you do 
        not move the filesto the new directory, ARCserve/Solo will create 
        new ones.  

LOCAL USER NAME: This can be any name you want.  By default, it is 
        ARCserve/Solo.  

SORT POINT & SELECT FILES BY: The default is name.  This means that when you 
        use point and select to specify a backup or restore, the files will 
        be sorted alphabetically by name.  If you press F1 while in this 
        field, the Sort Method Picklist appears.  Use the Arrow keys to 
        select an option from this list.  Press to accept the option and 
        place it in the form.  The files will now be sorted by the method 
        you selected.

SAVE SCRIPTS AUTOMATICALLY: If you change this field to YES, ARCserve/Solo 
        will save any scripts you create without asking you to confirm that 
        you want to save them.  

USE ACTIVITY LOG FOR ALL JOBS: If you change this field to YES, every 
        operation that you perform will be recorded in the Activity Log.  

RETRY BUSY FILES 5 TIMES: This is the number of times ARCserve/Solo will try 
        to backup or archive a file that is busy.  The default is 5 times.  
        You can raise or lower this number as you see fit.  

OPTIMIZE TAPE PERFORMANCE: You would normally want this field set to "Yes", 
        unless you are using a disk cache which uses INT 8.  

ARCHIVE SPECIFIC OPTIONS

CLEAR ARCHIVE BIT: Whenever a file is created or modified, its archive bit 
        is turned on.  This helps ARCserve/Solo to determine which files 
        need to be archived and which do not.  Normally, after you archive 
        a file, you will want to reset (or clear) the archive bit.  
        The default for ARCserve/Solo is to reset the archive bit after it 
        archives a file.  If you do not want it to reset the archive bit, 
        enter NO in this field.  

TRACK FILES: The default is YES.  This means that ARCserve/Solo will write 
        information about files that it archives in the File Tracking System 
        (FTS) database.  Enter NO here if you do not want to track files in 
        the FTS database.  

BACKUP SPECIFIC OPTIONS

CLEAR ARCHIVE BIT: Whenever a file is created or modified, its archive bit 
        is turned on.  This helps ARCserve/Solo to determine which files need 
        to be backed up and which do not.  Normally, after you backup a file, 
        you will want to reset (or clear) the archive bit.  The default for 
        ARCserve/Solo is to reset the archive bit after it backs up a file.  
        If you do not want it to reset the archive bit, enter NO in this field.  

TRACK FILES: The default is YES.  This means that ARCserve/Solo will write 
        information about files that it backs up in the File Tracking System 
        (FTS) database.  Enter NO here if you do not want to track files in 
        the FTS database.  

FORMAT BLANK TAPES: The default is YES.  This means that ARCserve/Solo will 
        automatically format a tape if it does not recognize the tapes format.  
        If you do not want ARCserve/Solo to automatically format tapes, enter 
        NO in this field.  

Setting ARCserve/Solo Host Adapter Parameters

1.  Select Configure Tape Driver from the Administration Menu.  The Host 
    Adapter Picklist appears (this is a partial list).  

2.  Highlight the name of your host adapter then press Enter to select it.  
    A form appears into which you must enter configuration information for 
    the host adapter.  For some adapters, you only need to supply one piece 
    of information.  The fields on the host adapter configuration form show 
    the default settings for the adapter you selected.  If your adapter uses 
    different settings, you can change them now.  


NOTE:   The number of fields on this form vary, depending on which host 
        adapter you select.  Press F1 on any field to get help for that 
        field.  
3.  Press Ins to display a picklist of options (valid settings) for a field.  

4.  Highlight the correct setting and press Enter to select it.  

5.  When you have all of the settings properly defined, press F2.  You are 
    asked to confirm that you want to initialize the tape driver.  

6.  Select "Yes" to initialize the tape driver.  

At this point ARCserve/Solo is completely installed and configured.  Next, 
you will test the entire system and format a tape.  

Test Your Configuration

You can the use the Test option on the Tape Maintenance Menu to insure that 
the tape driver, host adapter, and tape drive have been properly configured.  
To use this option follow these steps: 

1.  Place a BLANK tape in the tape drive.  

2.  Select Tape Maintenance from the Available Topics Menu.  The Tape 
    Maintenance Menu appears on the screen.  

3.  Select Test from the Tape Maintenance Menu.  A warning appears informing 
    you that any data on the tape will be erased and asking you to confirm 
    that you want to proceed.  

4.  Select "Yes" to continue with the test.  The program will write a series 
    of blocks to the tape and then read them back for verification.  If the 
    test is successful, a message informs you of this.  

5.  Press Esc to return to the Tape Maintenance Menu.  If the test is not 
    successful, check the Host Adapter settings and the settings you entered 
    in the configuration section of this manual, then repeat this Tape Test. 
 
Tape Formatting

In order to use ARCserve/Solo, your tapes must be formatted according to 
Cheyenne's standards.  The Format option on the Tape Maintenance Menu is 
provided for this purpose.  Place a tape in the tape drive and then follow 
the steps below to format it.  

Caution:        As with any formatting operation, all data on the tape
                will be erased!

1.  Select Tape Maintenance from the Available Topics Menu.  

2.  Select Format Tape Maintenance Menu.  A Tape Name Form appears on the 
    screen in which you must enter a name for the tape.  This name can be 
    up to 24 characters in length.  Spaces appear as underscores.  

3.  Type in the name and press Enter.  While the tape is being formatted, 
    a message, "Please Wait"appears on the screen.  When the formatting is 
    complete, the program notifies you.  

4.  Press Esc to return to the Tape Maintenance Menu.  

The program, drive and tape are now ready for use!

Administration

Select Administration from the Available Topics Menu to display the 
Administration Menu.  Three options are available from this menu.  The first 
two options, Configure Options and Configure Tape Driver were explained in 
Chapter 3, while the third option, View Activity Log is explained in the 
following section.  

View Activity Log

ARCserve/Solo maintains an Activity Log of all operations, either complete 
or incomplete, performed by the program.  Select View Activity Log from the 
Administration Menu to display the contents of the Activity Log.  Use the 
PgUp and PgDn keys or the ARROWS to scroll through the file.  If you are 
having trouble making a backup, check this log.  It may contain information 
that can help you solve the problem.  After viewing the Log you will be asked
whether or not you wish to delete it.  Answer "YES" if you would like to 
delete the log file (because it's getting too large, for example) or press 
Enter to keep the log.  

Tape Maintenance

The second choice on the Available Topics Menu is Tape Maintenance.  The Tape 
Maintenance menu is shown.  The Tape Maintenance options are described below.  

Format - This option formats a tape according to Cheyenne's standard, which 
includes writing a volume header at the beginning of the tape.  A tape must 
be formatted before it can be used for backups.  When you format a tape you 
are prompted for a tape name; type in a name at the prompt and press Enter.  
You will be notified on-screen when the formatting process is complete.  

Caution:        As with any formatting operation, ALL DATA on the tape
                will be DESTROYED.  

Status - Use this option to display the following information about your 
setup: 
      - Host Adapter Type
      - Tape Drive Type
      - Tape Name (if it is formatted)
      - Tape Sequence Number (if a session spans more than one tape in
        a backup job, the tapes are numbered sequentially)
      - Write Protection Status 

If you have more than one tape drive attached to your system, the following 
menu will appear: 

Select All to see the status of all the tape drives, select Current to see 
the status of the currently selected tape drive only.  

Test - The Test option verifies that the tape driver, host adapter, and the 
tape drive are all functioning together properly.  (Please see Chapter 3 
for instructions on using this option.)

Retension - Use this option to adjust the tension of a tape.  Refer to your 
tape drive user manual for information on how often a tape should be 
retensioned.  

Erase - When a tape is erased, all information, including the header and 
tape name, is removed.  Any tape which has been erased must be formatted 
before it can be used again.  

Quick Erase - The regular erase option goes through the entire tape, removing 
every bit of information.  This can take hours if the tape has a large 
capacity (a DAT tape, for example).  Quick Erase removes the tape header 
only, which cuts down on the format time dramatically.  Erase is the prefered 
method for erasing a tape, but if you are in a hurry, use Quick Erase.  

Reset - The Reset option reinitializes the tape drive.  Use this option if 
you change the tape drive (but keep the same host adapter) or if there is a 
problem with the tape drive.  Data on the tape will not be affected.  

Select - Use this option to select the current tape drive.  The host adapter, 
SCSI ID and drive type are listed for every SCSI tape drive attached to your 
system.  Use the Arrow keys to highlight a drive then press Enter to select 
it.  This drive will be the default (starting tape drive) until you change 
it again.  

Edit Scripts

The Edit Scripts option of the Available Topics Menu, permits you to create, 
modify and delete ARCserve/Solo scripts.  This is a very powerful feature, 
saving you time, as well as helping to eliminate typographical errors which 
might otherwise be introduced when manually completing a job entry form.  

Scripts are an important part of ARCserve/Solo, as they give you the ability 
to repeat frequently performed jobs without having to key-in the information 
each time the same or similar job is run.  To use this feature, select Edit 
Scripts from the Available Topics Menu.  The Edit Scripts Menu is displayed.  
After you select Archiving, Compare To Tape, Restore From Tape, Count, Purge, 
or Master Script, from the Edit Scripts Menu, a job Entry form for that script 
is displayed.  You enter the information into the fields, name the script, 
then save it.  All script forms are functionally identical to those described 
in the Run Job section of this manual.  For detailed instructions on the use 
of each of the fields on these forms, please refer to the instructions for the 
applicable job type in the Run Job section.  In other words when creating a 
Back Up To Tape script, refer to Back Up To Tape for field definitions.  

The first time you select one of the options, you are placed directly into the 
job entry form for that option.  After you create a script, name it, and save 
it, a script picklist will appear the next time you select that option.  This 
picklist will include the name of the script you created, and BLANKFORM.  
Select BLANKFORM to create a new script.  

The Backup To Tape and Master Script options work slightly different than the 
others on the Edit Script Menu.  These options are described in the next two 
sections.  

Back Up To Tape Script

After you select Backup To Tape from the Edit Scripts Menu, the Back Up To 
Tape Menu is displayed.  

Speed Entry

The Speed Entry option allows you to enter data for a backup into a data 
entry form, just like the other options on the Edit Scripts Menu.  The only 
difference is that the first time you select Speed Entry from the Back Up 
To Tape Menu, a picklist of default scripts is displayed The scripts on this 
list were created when you installed ARCserve/Solo.  Following is a 
description of each script: 

BLANKFORM displays a blank Backup To Tape Form that you can use to create a 
new script.  

C:, D:, and E: Are scripts for backing up the entire C drive, D drive, and 
E drive respectively.  

Complete is a script for backing up your entire hard drive.  

NEWFILES is a script for backing up all files that have their archive bit set.  

As you create more scripts (using the BLANKFORM option) they are added to 
this list.  

Multiple Drive

The Multiple Drive option is similar to the Speed Entry option, except you 
can specify multiple source drives to back up.  After you select Multiple 
Drive from the Back Up To Tape Menu, a job entry for is displayed.  The first 
field on this form is called Source Drives.  You can type the drives directly 
into this filed (A:, B:, C:, etc) or press Ins and select them from a list.  

Point & Select

The Point & Select option lets you choose files and directories to backup 
from a graphical representation of a disk drive.  After you select Point & 
Select from the Back Up To Tape Menu, the Select Target Picklist is 
displayed.  Use the Arrow keys to highlight a drive then press Enter to 
select it.  

A graphical representation of that directory is displayed.  You can select 
entire directories by highlighting them and then marking them with the F5 
key.  You select individual files by highlighting a directory and pressing 
Enter.  A list of files in that directory is displayed.  Hightlight the files 
you want to back up then mark them using the F5 key.  When you are finished 
marking files, press F2 to save your selections.  You are returned to the 
graphical directory tree where you can contiue selectin files and directories, 
or press F2 to display the Back Up To Tape Point & Select Job Entry Form.  
Complete the form, name it, then save it.  You can press F4 at any point 
while in this form to display the directory tree.  

Master Script

This feature allows you to create a "script of scripts".  Each entry on the 
Master Script is a script itself.  By using this option you can mix different 
types of scripts (backup, archive, etc) which can then be run automatically.  
Of course, you can also create a Master Script that will execute scripts of 
similar job types.  

NOTE:   A Master Script may only be used with the Schedule Jobs option on the 
        Available Topics Menu.  

To use this feature, first select Master Script from the Edit Scripts Menu.  
If you have create a master script before, a script picklist will appear.  
Otherwise, the following Master Script Entry Form will be displayed.  

Once the Master Script Entry Form is displayed, you may enter a name for the 
script.  This is done in the SCRIPT NAME field.  When you are satisfied with 
the SCRIPT NAME, press Enter to move to the TASKS field.  

The tasks field is used to enter the names of the various scripts you would 
like executed by the Master Script.  This is done by using the Ins key while 
in the Tasks field to display the Task Entry Form.  

The form has three fields which are described below: 

PRIORITY: The value in this field is used by ARCserve/Solo to determine the 
sequence in which the script will be executed.  A priority of one (1) is 
highest while sixteen (16) is the lowest.  Entries possessing the same 
priority number will be executed in the order they appear on the Master 
Script Entry Form.  A maximum of sixteen entries may be on the form.  

TASK TYPE: This may be any of the usual ARCserve/Solo job types, such as: 
Archiving, Back Up To Tape, etc.  Press Ins to get a picklist of task types.  

SCRIPT: This is the specific script name, of the job type specified above, 
to be executed.  Only one script may be entered on each Task Entry Form.  

When the Task Entry Form is displayed, use the appropriate keys to complete 
the form.  First enter the priority number.  Next, select the type by 
entering the field and using the Ins key to display the Select Task Type 
Picklist.  Highlight the desired entry and press Enter.  Lastly, complete 
the Script field.  You may use the Ins key to display the Select Script 
Picklist from which you can select a script.  Or, you may type in the script 
name directly in this field.  Script names are case sensitive, therefore, 
you must enter the name in lower and/or upper case exactly as it appears.  
Repeat this process for each task you wish to include.  

Should it be necessary, you may use the Del key to remove a task from the 
form.  Once you are satisfied with the contents of the Master Script Entry 
Form, press F2 to save the form.  

Run Job

The Run Job option is the heart of the ARCserve/Solo program.  All of the 
functions that let you manually backup, archive, and restore files and 
directories are available from this menu.  In addittion, Count, Purge, 
Compare To Tape, and Scan Tape are available from the Run Job Menu.  

Select Run Job from the Available Topics Menu and then press Enter.  The Run 
Job Menu is displayed.  Each of the items on this menu are discussed 
individually in the next seven sections.  

All Run Job options except Scan Tape are form based; you enter data about 
the job into a form.  Scripts can be created for all form-based operations, 
saving you time and keystrokes for jobs that are repeated frequently (see 
Chapter 7, Edit Scripts, for more details about scripts).  When either 
Archiving, Compare To Tape, Restore From Tape, Count, or Purge is selected, 
and there are scripts available, a Script Picklist appears.  Otherwise a
blank form is displayed.  When Back Up To Tape is selected, a menu from 
which you choose a method of selecting files to back up is presented.  

Many fields on the various forms are the same.  As we go through the menu 
options, each field will be described.  When a field is shown several times, 
on several different forms, the information as to where the field has been 
explained will be given.  

Archiving

The Archiving option allows you to copy files and directories from your local 
or mapped network drive to any local or mapped network drive.  The entire 
directory tree is copied to the destination, unless you exclude files and/or 
subdirectories with the fields in the Archiving Job Form.  To perform an 
Archive,  select Archiving from the Run Job Menu, either a Script Picklist
(if you've created any scripts) or a blank Archiving Job Entry Form appears.  
Complete the fields on the form then save it to start the archive.  The 
fields on the Archiving Job Entry Form are described on the next few pages.  

Form Fields: 

The fields are listed in the order in which they appear on the orm with 
directions on how to complete them.  

SOURCE DIRECTORY: Enter the source directory path from which all files within 
the directory tree will be taken.  These files are copied to the destination 
and placed in a directory tree that parallels the source.  Conventional DOS 
and Novell NetWare path specifications are acceptable.  

Examples:       F:\MYDIR\SUB1
                ENG/SYS:MYDIR\SUB1

In the above examples, all files in the \SUB1 directory and files in 
subdirectories of \SUB1 will be backed up to the destination.  Press Ins to 
get a list of drivers and server available to you.  Highlight a drive then 
press Enter to select it.  You can continue selecting subdirectories until 
there are no more in the path or until you press Esc to use the current
path.  You may start using this method at any point, e.  g. , type in the 
root directory and then press Ins to pick a subdirectory.  

DESTINATION DIRECTORY: Enter the destination directory path to which all 
files from the source directory will be copied.  Conventional DOS and NetWare 
path specifications may be used.  You may use the Ins key/picklist method 
mentioned above to enter this information.  You may enter a new directory as 
the last directory in the path; ARCserve/Solo will create this directory when 
the files are copied to the destination.  When archiving, if the destination 
is a removable media device, you will be prompted for the next disk/cartridge 
when the present one is full.  This disk/cartridge must be formatted prior to 
inserting it and it is advisable that you attach a volume name to it.  Volume 
names are used in the File Tracking Database to facilitate locating 
files/directories.  Please see the NOTES at the end of this section for more 
information.  

MIRROR: This is a toggle field.  The choices are "Yes" and "No".  This field 
will perform mirroring only when the archiving method is either Complete: 
All Files or Incremental: New Files Only.  When mirroring is selected, the 
destination will become identical to the source.  Files that exist in the 
destination but are not in the source, will be removed from the destination 
before archiving begins.  Once the destination has been "cleaned", files from 
the source will be copied to the destination.  

Caution:        If files do not exist in the source, they will be removed
                from the destination!

REPORT: This report includes both the history of the job and any errors that 
occurred.  Enter a path and file name in this field.  You may use the Ins 
key/picklist method to specify the path.  If only a file name is entered, the 
report will appear in the directory from which you are executing the program.  
The file will be in ASCII format.  

Example:        C:\ARCSOLO\REPORTS\ARCHIV1.RPT

Reports contain a list of files that were copied along with their sizes and 
attributes.  Please note that attributes are preserved (DOS and NetWare) as 
long as the destination supports these attributes.  If you are archiving to 
a directory that will be created by ARCserve/Solo, you cannot create the 
report file in that directory.  

INCLUDE/EXCLUDE FILES: You can toggle this field between "Include" and 
"Exclude".  List the files to include or exclude from the archive in the 
field below.  If "Include" is selected, then only those files listed will be 
copied.  If files to be excluded are listed, they will not be copied.  If the 
field is left blank, all files are included.  When listing files, wild cards 
are accepted (e.g.  *.C, ARC??.DOC, etc.).  Do not enter path specifications 
with the files.  The "\" character cannot be used.  

INCLUDE/EXCLUDE DIRECTORIES: You can toggle this field between "Include" or 
"Exclude".  After you select include or exclude, list the directories in the 
field below.  If "Include" is selected, only first level subdirectories can 
be specified; files/directories under them will be copied.  If "Exclude" is
selected, any subdirectory may be specified and those subdirectories and any 
below them will not be copied.  If the field is left blank, all directories 
are included.  We suggest that you do not use duplicate directory names as 
this can cause confusion when specifying directories to be included/excluded.  
Wildcards and the "\" character are not accepted.  

COPY HIDDEN FILES: This is a toggle field; choose "Yes" or "No".  The default 
is "No".  If "Yes" is selected, hidden files will be copied.  

COPY SYSTEM FILES: This is a toggle field; choose "Yes" or "No".  The default 
is "No".  If "Yes" is selected, system files will be copied.  

CLEAR ARCHIVE BIT: This is a toggle field.  Select either "Yes" or "No".  The 
default is "No".  If "Yes" is selected, each file in the source that has been 
backed up will have its archive bit (the bit that indicates whether the file 
has been backed up since it was last changed) reset.  

ARCHIVING METHOD: Press Enter to display a list of archiving methods.  Select 
a method from those listed below 

        Complete: All Files - All files in the source directory tree
        will be copied regardless of time and date.  

        Incremental: Archive Bit: All files in the source, with the
        archive bit set, will be copied to the destination.  

        Incremental: File Access Date - This method is only available for
        NetWare volumes where the files possess this property.  It is not 
        available for local drives as DOS does not support file access dates.  
        A threshold date may be entered for this method or the default, which 
        is the current date, can be used.  Files that have not been accessed 
        (not necessarily modified) since this date will be copied.  This 
        feature can be used to archive dormant files from a Novell file 
        server to a secondary storage device.  

        Incremental: New Files Only - All files in the source, without 
        duplicates in the destination, will be copied.  If duplicate files 
        exist in the destination, then the time/ date stamps of the files
        are compared.  If the source file is newer than the destination
        file, it is copied.  This option can be used to copy only updated
        files to the destination.  

        Incremental: Time Stamp - When this method is selected, a threshold 
        date/time may be specified or the default, which is the current 
        date/time, can be used.  ARCserve/Solo then compares all files in 
        the source directory tree with this threshold.  Files with a 
        date/time stamp later than this threshold are copied.  

TRACK FILES: This is a toggle field; select "Yes" or "No".  The default is 
"Yes".  When "Yes" is selected, a record of the archiving job is placed in 
the File Tracking System (FTS) Database.  

SCRIPT NAME: Enter a name for the script.  The script is stored in 
ARCSOLO\Script Directory.  Scripts may be removed from the picklist with 
the Del key or renamed by pressing F3.  If you used a script for a job and 
are now modifying the form (as the new job is similar to the job stored in 
the script), you can enter a new name for the script.  This allows you to 
keep the old script and store the new job information in a new script.  

DELETE SOURCE FILES: This is a toggle field; choose "Yes" or "No".  The 
default is "No".  If you select "Yes", all of the files that are copied from 
the source to the destination will be ERASED FROM THE SOURCE DIRECTORY.  
Files will be deleted only if the job is completed successfully.  (See the 
NOTES at the end of this section for job status information.)  

After you complete the form, press F2 to save it.  You are then asked to 
confirm the job.  Select "Yes" or "No" and press Enter.  If you select "No", 
all information entered entered in the form is lost, unless you created a 
script before saving it.  

The program displays the archiving activity on the screen in real-time, 
giving the total number of files, bytes and blocks in the source directory.  
When the job is complete, you are asked whether to delete the source files 
if you entered "Yes" in that field.  Confirm the deletion if you are sure 
that you do not need the files in the source directory tree.  You may cancel 
the job at any time by pressing Esc.  Press any key when the job is done to 
return to the Run Job Menu.  

NOTES: 

1.  Removable Media Devices: When performing archiving jobs using
    removable media devices (optical disk, floppy disk drives, etc.)
    as the destination, you should be careful to put the correct disk
    in the drive before the job begins.  You should also have blank
    formatted media available on hand in case there is not enough
    room on the destination.  If you must change media in the middle of
    an archiving job, the menu is displayed.  The options are explained 
    below.  

        Select Replace Media & Continue if you have formatted media that
        you can insert in the same drive.  This media should have a volume
        name for later identification and location of files/directories.  

        Select Continue On New Drive if you have a dual drive device and
        the second drive has room for the files/directories.  

        Select Exit To DOS - Format New Media & Continue if you do not have 
        spare formatted media.  Once you exit to DOS, format the media, 
        replace the full disk with this new disk and then type "Exit".  
        This will return you to ARCserve/Solo and the job in progress.  

        Select Cancel Operation if you decide not to continue the backup.  

2.  Job Status: 
    Each job performed is given a status when the job is finished.  
    The status types are explained below: 

        COMPLETE: A job is given the status "complete" if all files and
        directories specified have been copied to the destination.  

        INCOMPLETE: This status indicates that one or more files were not
        copied.  If a file is open and cannot be copied, ARCserve/Solo
        will attempt to copy it several times.  If the file is still open
        and the file is not copied, the job is given the status
        "Incomplete".  

        CANCELLED: When the real-time screen detailing the progress of
        the backup is displayed, you can press Esc to stop the job.  These
        jobs are given the status "cancelled".  

3.  Volume Labelling: 
    Use the DOS LABEL command to place volume labels on your optical disks, 
    floppy disks, etc.  ARCserve/Solo uses the volume label to help maintain 
    and organize the FTS Database records.  For example, you can purge 
    records from the database for a particular volume by specifying the 
    volume name.

Back Up To Tape

Select Back Up To Tape from the Run Job Menu to copy files and directories 
from a local drive or mapped network drive to a tape drive.  The menu shown 
in Figure 8-4 appears.  The three options, Speed Entry, Multiple Drives, and 
Point & Select are methods for selecting the files and directories for the 
backup process.  

First, general information about using tapes is presented in this section.  
Next, the three backup methods are explained.  

Before beginning a backup job, you must have a formatted tape available.  
If you have a tape that has been formatted and has information on it from 
previous jobs, you can add more sessions to the tape by using the append mode.  
If you have a tape with information that you do not need, you can overwrite 
that information and give the tape a new name in one step by using the 
overwrite mode.  Each backup is given a session number.  If there is not 
enough space for the data on one tape, ARCserve/Solo will alert you to put
another tape in the drive when the current tape is full.  Each tape in a 
multi-tape backup is formatted with the same tape name and is given a 
sequence number, so that the tapes can be placed in the drive in the correct 
order when restoring files.  

Speed Entry

The Speed Entry method is formbased and makes use of scripts.  The Back Up 
To Tape Job Form used with this method is shown in the following figure.  
The form fields on the Back Up To Tape Job Entry Form (Speed Entry) are 
explained below.  

SOURCE DIRECTORY: Enter the source directory path where all files within 
the directory tree will be taken from and copied to the tape.  Conventional 
DOS and Novell NetWare path specifications are acceptable.  If you are 
backing up the entire workstation (which has more than one logical drive) 
you can enter an asterisk (*:).  If you are backing up an entire server enter 
the server name followed by a backslash and an asterisk (e.g. MARKET\*:).  

Examples:       F:\MYDIR\SUB1
                ENG/SYS:MYDIR\SUB1

In the above examples, all files in the \SUB1 directory and files in 
subdirectories of \SUB1 will be backed up to the destination.  Press Ins to 
get a list of drivers and server available to you.  Highlight a drive then 
press Enter to select it.  You can continue selecting subdirectories until 
there are no more in the path or until you press Esc to use the current
path.  You may start using this method at any point, e.g. type in the root 
directoryand then press Ins to pick a subdirectory.  

TAPE NAME: Enter the name of the tape that you will be using.  If you don't 
know the tape's name, type an asterisk (*) in this field, or use the Status 
option on the Tape Maintenance Menu to determine the tape name.  

MODE: This is a toggle field.  The default, "Append", will put a new session 
on the tape following the last session.  "Overwrite" uses the name in the 
TAPE NAME field to overwrite the existing name.  The tape will be reformatted 
with this new name before the backup is performed.  All existing data on the 
tape will be destroyed.  Using "Overwrite" eliminates the step of formatting
the tape from the Tape Maintenance Menu.  

SESSION PASSWORD: A password may be entered for each backup job.  If a 
password is used, then it must be entered to restore that session.  Passwords 
are encrypted; they do not appear on the screen.  

REPORT: This report includes both the history of the job and any errors that 
occurr during the backup.  Enter a path in this field with a file name.  You 
may use the Ins key/ picklist method to specify the path.  If only a report 
name is entered, the report will appear in the \ARCSOLO directory from which 
you are executing the program.  

Example:        C:\ARCSOLO\REPORTS\BACKUP1.RPT

The report contains a list of files that were copied along with their sizes 
and attributes.  

INCLUDE/EXCLUDE FILES: This is a toggle field; toggle between "Include" and 
"Exclude".  Next, list the files in the field below.  If "Include" is 
selected, only those files listed will be copied.  If "Exclude is selected, 
files listed here will not be copied.  If the field is left blank, all files 
are included.  When listing files, wild cards are accepted (e.g. *.C, 
ARC??.DOC, etc.).  Do not enter path specifications with the files.  The "\" 
character cannot be used.  

INCLUDE/EXCLUDE DIRECTORIES: This is a toggle field; select either "Include" 
or "Exclude".  Next, list the directories in the field below.  If "Include" 
is selected, only first level subdirectories can be specified; 
files/directories under them will be backed up.  If "Exclude" is selected, 
any subdirectory may be specified and those subdirectories and any below 
them will not be backed up.  If the field is left blank, all directories are
included.  We suggest that you do not use duplicate directory names as this 
can cause confusion when specifying directories to be included/excluded.  
Wildcards and the "\" character are not accepted.  

BACK UP HIDDEN FILES: This is a toggle field; choose "Yes" or "No".  The 
default is "No".  If "Yes" is selected, hidden files will be backed up.  

BACK UP SYSTEM FILES: This is a toggle field; choose "Yes" or "No".  The 
default is "No".  If "Yes" is selected, system files will be backed up.  

CLEAR ARCHIVE BIT: This is a toggle field.  Select either "Yes" or "No".  
The default is "No".  If "Yes" is selected, each file in the source that has 
been backed up will have its archive bit (the bit that indicates whether the 
file has been backed up since it was last changed) reset.  

VERIFY METHOD: Press Enter to display a list of available verification 
methods.  The default, "None", means that no verification will be performed 
on the data that is backed up to the tape.  The Scan Tape Contents method 
consists of reading the tape and checking the data format on it.  The Compare 
Tape To Disk option physically compares all the files backed up to tape, byte
by byte, against the source disk files.  

DATA COMPRESSION: Press Enter to display a list of available data compression 
methods.  The default, "None", means that no data compression will be 
performed on the data that is backed up to the tape.  The Maximum Speed 
method will strick a balance between compressing the data as much as possible 
and writing it to tape as fast as possible.  The Minimum Size method will 
compress the data to the smallest size possible.  

TRACK FILES: This is a toggle field.  Toggle between "Yes" and "No".  If "Yes" 
is selected, then a record of all the directories and files copied will be 
placed in the File Tracking System database.  If "No" is selected, there will 
be no record of this job in the database.  

BACKUP METHOD: Press Enter to display a list of backup methods (the default 
is Complete: All Files).  Select a method from those listed.  

        Complete: All Files - All files in the source directory tree will
        be backed up regardless of time and date.  

        Incremental: Archive Bit - All files in the source, with the
        archive bit set, will be backed up to tape.  

        Incremental: File Access Date - This method is only available for
        NetWare volumes where the files possess this property.  It is not
        available for local drives as DOS does not support file access dates.  
        A threshold date can be entered for this method or the default, 
        which is the current date, can be used.  Files that have not been
        accessed (not necessarily modified) since this date will be
        backed up.  This feature can be used to back up dormant files from
        a Novell file server to a tape drive.  

        Incremental: Time Stamp - When this method is selected, you must
        enter a threshold date and time.  All files in the source
        directory tree are compared with this threshold.  Files with a
        date/time stamp later than this threshold are backed up.  

SCRIPT NAME: Enter a name for the script.  The script is stored in your 
ARCSOLO\Script Directory.  Scripts may be removed from the picklist with 
the Del key or renamed by pressing F3.  If you used a script for a job and 
are now modifying the form (as the new job is similar to the job stored in 
the script), you can enter a new name for the script.  This allows you to 
keep the old script and store the new job information in a new script.  

DELETE SOURCE FILES: This is a toggle field; choose "Yes" or "No".  The 
default is "No".  If you select "Yes", all of the files that are copied 
from the source to the tape drive will be ERASED FROM THE SOURCE DIRECTORY.  
Files will be deleted only if the job is completed successfully.  

When the form is complete, press F2 to save it an start processing the job.  
You are asked to confirm the backup.  Select "Yes" or "No" and press Enter.  
If you select "No", all information entered entered in this form is lost 
unless you created script.  

The program displays the backup activity on the screen in real-time.  You may 
cancel the job at any time by pressing Esc.  When the job is complete, you are 
asked whether to delete the source files if you entered "Yes" in that field.  
Confirm the deletion if you are sure that you do not need the files in the 
source directory.  Press any key when the job is done to return to the Run 
Job Menu.  

Multiple Drives

After you select the Multiple Drives option from the Backup To Tape Menu, the 
Backup to Tape (Multiple Drive) Form appears.  

This form is basically the same as the Speed Entry Form, with one exception: 
the Source Drives field.  You can back up entire drives by typing the letters 
of those drives in the Source Drives field.  You can backup Netware volumes 
by typing the server and volume name in this field.  You can also press Ins 
and select from a list of available drives and volumes on your system.  Use 
the Arrow keys to highlight a drive letter or volume name, then select it
using the F5 key.  Press F2 after you finish selecting drives to place them 
in Source Drives field.  After you select the drives you want to backup, 
complete the rest of the form just as you would for the Speed Entry form.  

Point & Select

The Point & Select method allows you to select specific directories from a 
graphic tree display of entire local drives and, if you are attached to a LAN, 
server volumes.  You may also choose individual files contained in these 
directories.  

After you select Point & Select from the Selection Method Menu, the Target
Picklist appears.  This is a list of all the local drives that you have 
access to, and if attached to a LAN, servers to which you are logged in, with 
their respective volumes.  Select a local drive or server volume from the 
picklist and press Enter.  A graphic tree display appears.  

Use the up/down Arrow keys to traverse the directory structure.  Select entire 
directories to back up by marking them with the F5 key.  To select individual 
files from directories, highlight the directory and then press Enter.  A File
Picklist is then displayed.  The top line on this form shows the directory 
which contains these files.  Mark the files to back up with the F5 key.  To 
save your file selections and return to the tree display, press F2.  When 
all files and directories to be backed up have been marked, press F2 again 
to continue the job.  

The Back Up To Tape (Point & Select ) Job Entry Form appears.  This form must 
be completed in order to perform the backup.  The form is similar to the 
Speed Entry Backup Job Form (without the Source Directory and Include 
Directories fields) and all fields on this form are described in the previous 
section.  If you want to return to the tree display from within this form, to 
add or delete files or directories, press F4.  When completing the form, 
please note that the file selection criteria in the following fields apply 
only to directories that were selected.  

        INCLUDE FILES: 
        BACK UP HIDDEN FILES: 
        BACK UP SYSTEM FILES: 
        BACKUP METHOD: 

Individual files that were marked are backed up in all cases.  Complete the 
form as per the instructions in the previous section and when finished, press 
F2 to back up the files.  A real-time screen will show you the progress of 
the backup.  

Compare To Tape

This option is used to compare the files and directories on a specific tape 
and session with those contained in a target directory.  You must know the 
tape name, session number and password (if any) before beginning.  Also, 
please make sure that the tape you want is in the drive before selecting this 
option.  A report will be generated showing any of the following types of
discrepancies: 

1.  File/Directory not on disk

2.  File on disk is a different size

3.  File does not match

NOTE:   If you back up the ARCserve/Solo directory and then use the
        Compare To Tape option, there will be discrepancies.  
        ARCserve/Solo modifies and/or creates File Tracking System files
        well as report files.  Files with the extensions .TMP and .FTS and
        any report files that are created can be affected and this will
        be noted in the Activity Log and on the screen.  

Select Compare To Tape from the Run Job Menu.  The Compare To Tape Job Entry 
Form is displayed.  

Form Fields: 

The fields that are unique to the Compare To Tape Form are described below.  

TAPE NAME: This is the name assigned to the tape when it was created.  If you 
do not know this name, it is available via the FTS Database, and Scan Tape 
option.  

COMPARE SESSION NUMBER: This is the session number of the job you wish to 
compare.  If you do not know this number, it is available via the FTS 
Database or the Scan Tape option.  

SESSION PASSWORD: This is the password used when the session was created.  
If no password was used, you may omit this entry.  

TARGET DIRECTORY: This is the directory with which the tape session contents 
will be compared.  Standard Novell and DOS path specifications may be used.  
You can also press Ins and select from a list of available drives and volumes.  

REPORT: This is the full path and file name of the report generated by this 
operation.  The report will show any of the aforementioned discrepancies.  

Restore From Tape

Use the Restore From Tape selection to copy files that were backed up to a 
tape, or to a local or mapped network drive.  When Restore From Tape is 
selected from the Run Jobs Menu, the Restore From Tape Menu appears.  The two 
methods work the same as for Backup To Tape with the following exceptions: 

After you select Point & Select from the Restore From Tape Menu, a list of 
all backup transactions in the database is displayed.  You must first select 
a session from this list.  After you select a session, a graphic display of 
directories for that session is displayed.  Follow the directions in Backup 
To Tape, Point & Select for selecting directories and files.  After you 
finish selecting files using the Point & Select method, the Point & Select 
Job Entry Form appears.  The TAPE NAME and SESSION NUMBER fields are already 
complete.  The only thing you need to do is enter the destination path, and 
put the right tape in the tape drive.  

You will need to supply a tape name and session number in the Speed Entry 
Form.  You can use the File Tracking System (FTS) (or the Scan Sessions 
option) to locate the files, and subsquently the name and session number of 
the tape on which they are stored.  You can also type an asterisk (*) as the 
tape name and restore from the tape currently in the tape drive.  

The Speed Entry and Point & Select forms are shown.  Fields that appear for
the first time (haven't already been described in the Backup section) are 
explained below.  

Form Fields: 

RESTORE SESSION NUMBER: This is the number of the session on the tape that 
contains the files of interest.  The field default is 1.  If 1 is not the 
desired session, type in the correct number and then press Enter.  

CONFIRM OVERWRITES: This is a toggle field; toggle between "Yes" and "No".  
If "Yes" is selected, you will be asked to decide whether to overwrite a 
file in the destination with a file from the tape each time a duplicate file 
is encountered.  

RESTORE METHOD: Press Enter to display a picklist of methods.  Select a 
method and press Enter.  The methods are explained below: 

        Complete: All Files - All files in the session will be restored
        regardless of time and date.  

        Incremental: Time Stamp (After) - When this method is selected, a
        threshold date and time can be specified or the default, which is
        the current date and time, can be used.  ARCserve/Solo then
        compares all files in the tape session with this threshold.  Files
        with a date/time stamp later than this threshold are copied to the 
        destination.  

        Incremental: Time Stamp (Before) - When this method is selected, 
        a threshold date and time can be specified or the default, which
        is the current date and time, can be used.  ARCserve/Solo then
        compares all files in the tape session with this threshold.  Files
        with a date/time stamp earlier than this threshold are copied to
        the destination.  Fill out the form and press F2 to begin the
        restore operation.  A real-time screen displays the progress of
        the operation.  

Scan Tape

When you select Scan Tape is from the Run Job Menu, the Tape Scan Menu is 
displayed.  

Scan Sessions On Tape

The first option, Scan Sessions On Tape, is used to list the contents of a 
tape.  Place the tape in the tape drive, select this option and press Enter.  
The form appears.  Enter a path and file name for the report that will be 
created, then press Enter.  The tape will be scanned and the real-time screen 
will appear.  The report will be generated as an ASCII file.  The fields on 
the real time screen are explained below: 

TAPE NAME: This is the name of the tape given when the tape was formatted or 
overwritten.  

SEQUENCE: If the tape is one in a sequence of tapes, this is the number of 
the tape in the sequence.  

SESSION #: This is the number of the session that is being scanned.  The 
first session on tape is given the number 1.  The session number is 
incremented by 1 for subsequent sessions.  

SOURCE DIRECTORY: This is the complete path to the source directory that was 
backed up in this session.  

OWNER NAME: This is the name of the person who made the backup.  

BACKUP TIME & DATE: This is the date and time at which the session was backed 
up.  

After all the session information is displayed on the screen, the message, 
"PRESS ANY KEY TO CONTINUE" appears.  Press any key to return to the Scan Tape 
Menu.  To look at the ASCII version of the report, use an editor to open the 
file you specified.  

Session Report

The second choice on the Tape Scan Menu is Session Report.  Use this option 
to list all of the files/ directories contained in a single session.  To 
generate a Session Report, Select Session Report from the Scan Tape Menu.  
The following form fields on this screen are explained below: 

TAPE NAME: Enter the name given to the tape when it was formatted.  The 
default is to use the tape currently in the tape drive.  

SESSION NUMBER: Give the number of the session for which you would like to 
generate a report.  The Default is session number 1.  

SESSION PASSWORD: Enter the password that was given when the session was 
backed up (if one was used).  

REPORT: Enter a path and file name for the report that will be generated 
(this field is optional).  

Once the form has been completed, press F2 to generate the report.  A 
real-time screen informing you of the progress of the scanning operation 
appears.  All of the fields on this form are  for the session/directory/file 
currently being scanned.  

All fields have been explained in previous paragraphs/sections.  

Count

The Count option provides a convenient way of tallying the number of files, 
directories, bytes, and blocks on a per directory basis.  Use the Count 
option before archiving or backing up files/directories to determine the 
amount of storage space that they will need.  The Count form is shown in the 
following figure.  

The fields are similar to those seen in the previous forms and have all been 
defined except for Target Directory.  

TARGET DIRECTORY: Enter the path name which will be the starting point for 
the counting operation.  The Ins key may be used to enter the path.  

When the form is complete, press F2.  You are then asked to confirm the 
process.  Select "Yes" and a real-time display of the Count process will 
appear.  Selecting "No" will cause all entered information to be lost, 
unless a script was created and saved.  

NOTE:   Counting gives the absolute number of bytes for files.  This
        can differ from other counting programs such as DOS CHKDSK which
        rounds off numbers to block size.  Therefore, if you have a 1 byte
        file, ARCserve/Solo will count 1 byte.  CHKDSK will give 2048
        bytes, if the block size is 2048.  

Purge

The Purge option provides an effective way of deleting files and removing 
directories.  The form fields and final display are similar to the Archiving, 
and Count options.  The Purge Form is shown in the following figure.  All 
fields on this form have been defined previously.  

Press F2 after completing this form to begin the purge.  The progress of the 
job is displayed to you in a real-time screen.  

Caution:        Please be certain that the files specified in the form
                are indeed the ones you want deleted!

Schedule Jobs

This option appears on the Available Topics Menu only after you start 
ARCshell or ARCwatch from the DOS command line.  ARCshell is a command 
processor (also known as a shell) and requires approximately 24 Kb of memory.  
ARCwatch is a Terminate and Stay Resident (TSR) utility and requires 
approximately 9Kb of memory.  

The main difference between the two is that ARCshell is always running in 
the foreground and ARCwatch dissappears to the background when not in use.  
Also, ARCwatch notifies you before it executes the job.  

NOTE:   If you wish to load the Resident Scheduler in the AUTOEXEC.BAT file, 
        we advise you to use ARCwatch.  Since ARCshell is a DOS shell, any 
        commands appearing after it in the AUTOEXEC.BAT file will not be 
        executed.  

To schedule a job, you must have previously created one or more scripts 
either by using the Edit Script option on the Available Topics Menu or by
selecting "Yes" to save a script after completing a job entry form.  
Additionally, either ARCshell must be resident (loaded) for the job(s) to be 
executed at the scheduled time.  

Loading ARCshell

To load ARCshell, type the following command at the DOS command line: 

        ARCSHELL [options]

The options are described in section 9.0.3.  After ARCshell is loaded, the 
DOS prompt will change to indicate that you are within the shell as shown 
below.  

        [ARCshell] C:\ARCSOLO>

Loading ARCwatch

To load ARCwatch, type the following command at the DOS command line: 

        ARCWATCH [options]

Unlike ARCshell, ARCwatch is loaded in the background so you will not be 
aware that it is running.  

The options for both ARCshell and ARCwatch are described in the following 
section.  

ARCshell and ARCswitch Command Line Options

There are seven option that you can use with the two ARCserve/Solo schedulers.  
The format of the commands and a description of the options are provided 
below: 

        ARCSHELL -[OPTION]
        ARCSWITCH -[OPTION]

 -A     activates the scheduler.  Use it after deactivating the scheduler 
        with the D option.  

 -D     deactivates the scheduler (so it can't execute the jobs) but leaves 
        it loaded in memory.  The Schedule Jobs option will still appear on 
        the Available Topics Menu even though the scheduler is disabled.  

 -P     displays the path to where ARCserve/Solo resides on your hard disk.  
        If you wish to change the path for ARCserve/Solo, use -Pnew_path.  

 -Q     displays the name of the queue file used by ARCserve/Solo.  If you 
        wish to change the path of the queue file, use -Qnew_path.  Do not 
        include the name of the queue file.  

 -S     displays the current status (activated or deactivated) of the 
        scheduler.  

 -U     unloads the scheduler.  Use this option to remove the scheduler from 
        memory.  The Schedule Jobs option will not appear on the Available 
        Topics Menu after you unload the scheduler.  

 - ?    displays the options and their explanations.  

Scheduling a Job

After loading ARCshell or ARCwatch, start ARCsolo and select Schedule Jobs 
from the Available Topics Menu.  The Schedule Jobs List appears.  

NOTE:   The Scheduled Job List will be empty the first time it is displayed
        and when there are no scheduled jobs.  

Press Ins to display the Insert Job form shown in the following figure.  

Form Fields: 

EXECUTE JOB ON/AT: This is a set of two fields, date and time.  Enter the 
date and time when the job will be performed.  

Use the format MM-DD-YY for the date.  

Where:  MM = month (1-12)
        DD = day (1-31)
        YY = last two digits of the year (00-99)

Use HH-MM-XX for the time.  

Where:  HH = hour (1-12) 
        MM = minute (00-59)
        XX = am or pm

The default values are the current date and time.  

REPEAT INTERVAL: Any job that is scheduled can be repeated at a specific time 
interval.  The job is executed and then the Execute Job on/at fields are 
adjusted by ARCserve/Solo to reflect the next time the job should be run.  
Enter this interval in the fields provided.  

DO NOT EXECUTE JOB ON: If the job will be repeated, this field will be active.  
Highlight the field and press Ins to display a picklist of days of the week.  
Use the F5 key to mark each day that you do not want the job to be executed.  
Press Enter when done.  If no days are selected, the job will be executed
every day at the selected time.  

JOB TYPE: The default entry, Back Up To Tape, appears in this field.  Use 
this entry to schedule backup jobs.  If another type of job is to be 
performed, press Enter to display a list of other choices.  Select an entry 
from the list provided and then press Enter to return to the form.  

SCRIPTS: Press Ins to display a picklist of existing scripts that were 
created for the type of job that was selected.  Select a script and then 
press Enter.  The name of the script will appear on the form.  

More than one script can be placed in this field and the scripts will be 
executed in the order that they appear on the form.  To add another script, 
press Ins again to select another script and then press Enter to return to 
the form.  

When all the fields are completed, press F2 to add the job to the Schedule
Jobs List.  Repeat this process to add other jobs to the schedule list.  
When the schedule is complete press Esc.  You are asked to save the new 
information.  Select "Yes" and press Enter.  

If the job type selected is either Format Tape or DOS Command, there are no 
scripts to be entered.  Instead, a field specific to each job type is 
presented.  A TAPE NAME field in which to specify the name for the formatted 
tape appears for the former and a DOS COMMAND field in which to enter the 
command to be run appears for the latter type.  

If ARCshell is unable to run ARCserve/Solo (which it needs to do to execute a 
scheduled job), ARCshell will reschedule the job to next day.  If a job is 
scheduled to repeat, ARCshell will reschedule the job after it completes.  

When ARCwatch is used, it will prompt you when it plans to execute a 
scheduled job.  If you press the Esc key, the job will be rescheduled for one 
(1) hour later.  Otherwise, the job will execute in ten (10) seconds.  
ARCwatch reschedules repeating jobs based upon the time they start executing.  

Now that the method for scheduling jobs has been explained, the Schedule
Job List shown in Figure 9-1 will be easier to understand.  The Execution 
Time, Job Type, and Script(s) shown are the result of entering information 
on the Job Scheduling Form.  

When you have chosen a repeat interval, an asterisk (*) appears to
the left of the job on the Schedule Job List.  

Deleting Scheduled Jobs

To remove jobs from the schedule, highlight an entry and use the Del key.  

Modifying Scheduled Jobs

To modify a scheduled job, highlight it and press Enter.  To copy an entry, 
highlight it and press F3.  

You must exit from ARCserve/Solo in order for ARCshell to automatically 
process the scheduled jobs.  When the scheduled execution time is reached, 
AND there is no other process being executed, ARCserve/Solo is automatically 
invoked and the jobs are run.  If another process is running, ARCshell will 
process the jobs as soon as the other process is terminated.  

File Tracking System

The File Tracking System (FTS) Database keeps track of files and directories 
backed up and archived by the ARCserve/Solo program.  You can search the FTS 
Database for the location of specific files.  You can then restore these 
using the Quick File Access (QFA) method to restore files.  

The QFA Restore method is a fast, efficient way of getting files back on your 
hard disk.  After you select File Tracking System from the Available Topics 
Menu, the File Tracking System Menu is displayed.  You can perform the 
following operations using these options: 

        Create customized reports using the FTS data

        Search for and selectively restore files and directories

        Purge records from the FTS database

        Merge database information from a tape with you FTS database

These functions are discussed in the next four sections.  

Generate Report

The Generate Report option serves two purposes: it allows you to get a report 
on any session in the FTS database and it allows you to selectively restore 
files from these sessions.  

Specify the report

Select Generate Report from the File Tracking System Menu.  A picklist of all 
sessions in the database is displayed.  Highlight a session, then press Enter 
to select it.  A form is displayed in which you can enter a path name (e.g. 
C:\ARC.RPT or LPT1:) for the report that will be generated.  Press F2 to save 
the above formand generate the report.  

NOTE:   The report will appear on the screen whether or not you specify a 
        file.  

The report appears on your screen.  Use the PgDn, PgUp, and Arrow keys to 
move through the report.  The report gives the details of the job, including 
the source, destination or tape name, files, and directories that were copied.  

Restoring Files Using the Generate Report Option

You can perform "reverse archiving" and restore backup sessions from the FTS 
Database Picklist.  Reverse archiving means that you can copy an archiving 
session from where it currently resides (the destination of the original 
archiving process) to a new location on your hard disk.  Select one 
transaction in the database with files that you would like to copy, then 
press F2.  

If the session is an archiving session, you will be presented with the 
Archiving Job Entry Form.  The source directory field has what was the 
original destination directory entered in it.  This is where the files of 
interest are currently located.  You can now copy these files to any 
destination (local or mapped network drive).  Complete the form and press 
F2.  The job is processed as specified in Chapter 8, Section 8-1.  

If the session is a backup, you are first asked to place the tape specified 
by the transaction, in the tape drive.  A Restore Job Entry Form appears.  
The TAPE NAME and RESTORE SESSION NUMBER fields have been completed by the 
program.  Enter the remaining information and press F2.  The files and 
directories are then restored to the destination as explained in Chapter 8, 
Section 8-4.  

Locate/QFA Restore

Use this option to find the location in the FTS database of specific files, 
directories, and entire sessions.  After you find the files, directories, and 
session that you want, you can restore them from tape or "reverse archive" 
them to another location on your hard disk.  

Locating files

Select Locate/QFA Restore from the File Tracking System Menu, a picklist of 
all transactions in the database will be displayed.  At this point you can 
select a session and restore or reverse archive it as detailed in the 
previous section.  To locate specific files and directories, highlight a 
session from the Session Picklist then press Enter.  A Search Form, that you 
can use to enter search patterns for the files/directories, appears.  You can 
specify up to 12 patterns (wildcards are accepted, backslashes (\) are not).  
You can also specify a report file (on the top line) in which to store the 
results of the search.  Press F2 when the form is complete to begin the 
search.  The results of the search appear on your screen.  

Both files and directories are listed in the search results.  You can 
distinguish a file from a directory by the fact that files have the number of 
bytes listed on the right.  If a volume label was used, it appears after the 
drive letter and is followed by a colon, the rest of the path and file name 
are then given.  Date/Time stamps appear in the last two columns.  

Files from backup sessions (tape) are listed as: 

        tapename.session#\directory\subdir\filename.extension

Files from archiving sessions are listed as: 

        local drive:\subdir\filename.extension or
        server/volume:directory\subdir\filename.extension

If you specified a wildcard when completing the Search Form and there are 
many files listed as a result of the search, a secondary search can be 
performed on the files/directories listed.  Press F4 and a Search Box appears 
on the screen.  Enter the new (and narrower) search criteria and then press 
Enter.  A Secondary Search Results screen appears.  The first file, from the 
top of the list that matches the search criteria, will be highlighted.  To 
repeat the search and find other files that match this criteria, press F4 and 
Enter again.  

Restoring the files

To restore individual files (from backup sessions only), select and mark 
files (F5) that are from the same session and press F2.  Mount the tape 
indicated.  The Restore Selected Files Form appears on the screen with the 
TAPE NAME and SESSION NUMBER entered.  You must specify the Password given 
during the backup, if one was used, and the Destination Directory for the 
files.  The REPORT is optional.  When the form is complete, press F2 to 
restore the files.  Confirm the restoration process when asked and then the 
process begins.  A real-time screen displays the progress.  

Purge Records option to remove records from File Tracking System Database.  

You can remove archiving records, backup records, or both.  To purge records 
from the FTS database, select Purge Records from the File Tracking System 
Menu.  The Purge FTS Database screen appears.  Decide whether you want to 
purge backup or archive records, then enter the threshold data.  All records 
created prior to this date will be deleted from the FTS database.  

Caution:        The default for the time and date fields are the current time 
                and date.  CHECK THESE FIELDS BEFORE CONFIRMING THE DELETION!

Note:   If there is a chance that you will need these records at a later date, 
        we suggest that you back up archive the database before purging it.  
        The database is located in the ARCSOLO\DATABASE directory.  

When the form is complete, press F2, you are requested to confirm the purge.  
After the database is purged, the File Tracking System Menu screen will 
reappear.  

Merge Records

Use this option to merge FTS records from an ARCserve/Solo backup tape with 
your FTS Database.  This is especially useful: 

      - if you did not use the File Tracking System when performing 
        the backup if the records were purged from the FTS database.

      - for restoring your FTS Database in the event that it becomes 
        corrupt or otherwise unusable.  

      - for building a copy of someone else's FTS Database (using their 
        ARCserve/Solo tapes) on your system, thus giving you access to 
        their files.  

Even if you lose your FTS Database completely, you can rebuild it as long as 
you have the backup tapes.  

To merge tapes, select Tape Merge from the File Tracking System Menu.  The 
Following screen appears.  The Fields on the Merge Records Form are explained 
below.  

MERGE FTS FOR: This is a toggle field.  Press Enter an then use the Arrow 
keys to change the selection to either "Single Session" or "Full Tape".  

If you select "Full Tape", the Tape Name, Session Number, and Session 
Password fields will disappear.  Since you are merging the entire tape, 
all you have to do is make sure it's in the drive then press F2 to start 
the merge.  

The default "Single Session" allows you to specify which session you would 
like to merge with your FTS database.  The following fields are only 
available when you merge a single session.  

SESSION NUMBER: Enter the number for the session you would like to merge into 
the FTS Database.  

SESSION PASSWORD: Enter the password (if any) that was given when the session 
was backed up.  

Press F2 after completing the form to start the merge.  A real-time display 
shows you the information being copied to your FTS database.  When the 
process is complete, the tape you merged will be part of your FTS Database.  
You can restore files from the tape to your hard disk.  

DOS Shell 

Selecting DOS Shell from the Available Topics Menu allows you to temporarily 
leave ARCserve/Solo and return to the DOS command line, letting you execute 
DOS commands for other tasks.  When you are finished executing DOS commands, 
type "EXIT" to return to ARCserve/Solo.  

NOTE:   You may not execute (load) the ARCshell while using this option.  
        To load the ARCshell you MUST first exit the program.  

Advanced Operation

For advanced users, ARCserve/Solo provides an even faster way of accessing 
its powerful features.  This is command line operation.  The following 
sections describe how you can take advantage of this feature.  This is an 
optional section and need not be read to properly use ARCserve/Solo.  Those 
who are not comfortable with DOS should probably use the menu-driven user 
interface, which was previously described.  

These command line options, simply put, are another way of accessing 
ARCserve/Solo features.  Because of this, any operation that can be performed 
at the command line, can naturally be performed using the user interface.  
If you do not choose to read this section, or use the command line options, 
you will still be able to use all of ARCserve/Solo's features.  

Command Line Options

The command line options enable the following operations to be performed 
directly from DOS command level, in a faster more efficient manner: 

        ARCHIVING
        BACKUP
        COMPARE
        COUNT
        FORMAT
        MDBACKUP
        PSBACKUP
        PURGE
        RESTORE

These commands enable you to execute scripts that have been created with the 
ARCserve/Solo Edit Script menu item on the Available Topics Menu.  Please 
note that each script is specific to a type of operation.  For example, 
backup scripts must be used with the BACKUP command, archiving scripts with 
the ARCHIVING command, etc.  

NOTE:   If you have not created a script, you cannot use command line 
        operation!

This may be thought of as the format of the command.  ARCserve/Solo will 
only be able to execute commands which it can interpret, therefore proper 
syntax is critical to command line operation.  

The following is an example of proper syntax: 

        ARCSOLO command_name script_name 

Or, in the case of FORMAT the following is used: 

        ARCSOLO command_name tape_name 
where: 
	command_name = 	ARCHIVING
				BACKUP	(Speed Entry Backup)
				COMPARE
				COUNT
				FORMAT
				MASTER
				MDBACKUP 	(Multiple Drive Backup)							PSBACKUP	(Point & Select Backup)	
				PURGE	
				RESTORE
script_name =	the name of an associated script that you created for the 
                specified operation.  

NOTE:   Please remember that script_names are case sensitive (you must type 
        the script name in lower case andor upper case letters exactly as 
        it appears in the program).  Also, if job script called My D: Drive, 
        type the following at the DOS prompt: 

                ARCSOLO BACKUP "My D: Drive"

You may also execute multiple scripts of the same job type, with only one 
command, by listing the scripts in the order you would like them executed.  
Script names must be separated by at least one space.  

For example, let's say you would like to execute three archiving jobs, 
one right after the other.  A possible command line entry could look 
like this: 

        ARCSOLO ARCHIVING "C DRIVE" sales_dept "My Drive"

You will notice that the jobs "C DRIVE" and "My Drive" must be enclosed 
by quotes because they contain spaces.  Upper and lower case letters 
are used accordingly.  

Multiple Tape Drive Use

If you are using ARCserve/Solo with a SCSI host adapter, you can connect 
up to seven (7) tape drives to the adapter.  When connecting more than 
one tape drive to the SCSI bus, all the tape drives must be the same 
type.  This setup is referred to as "multi-tape" operation and the 
connection as "daisy chaining".  

There are eight (8) addresses, 0 through 7, on the SCSI host adapter.  
Most of the SCSI boards that are supported use SCSI ID number 7 and 
therefore 0 through 6 are valid addresses for tape drives.  

The advantage of multi-tape is that you do not have to be present 
to insert a fresh tape when the first tape is full.  ARCserve/Solo 
will seek out and find another tape drive with a tape on which to 
continue the backup operation.  This tape will be given the same tape 
name and the next tape sequence number.  

When the session that spans two tapes is done, a new session can be 
appended to the tape.  Therefore, the program can continue from one 
tape drive to another as backups proceed.  A few rules must be adhered 
to in order to use multi-tape.  

Multi-tape Rules for Finding a Tape Drive

When a backup job is performed, a tape name or an asterisk (*) can 
be placed in the field.  The mode can be either append or overwrite.  
Different combinations of these factors and the results of the various 
jobs are outlined next.  

Before examining these cases, the concept of a tape set must be understood.  
A tape set consists of tapes with the same name and ascending sequence 
numbers.  The first tape of the set is sequence #1 followed by 2, 3, 
4, etc.  The tape ID # on all the tapes in a set is the same.  The maximum 
number of tapes in a set is 25.  

Mode: Append 
Tape Name: Specified

If the tape name is specified, ARCserve/Solo will search for the tape 
with the exact name and the highest sequence number.  The session will 
be added to the last tape in this set.  

Mode: Append
Tape Name: *

If no name is specified, ARCserve/Solo will look for the tape drive 
with the lowest SCSI ID and obtain the name of the tape in the drive.  
It will then look for a tape from this set with the highest sequence 
number.  It will add this session to the tape.  

Mode: Overwrite
Tape Name: Specified

If the tape name is specified, ARCserve will search for the tape in 
this set with the lowest sequence number.  It will then overwrite this 
tape.  

Mode: Overwrite
Tape Name: *

If no name is specified, ARCserve/Solo will look for the tape drive 
with the lowest SCSI ID and obtain the name of the tape in the drive.  
It will then look for a tape from this set with the lowest sequence 
number.  It will then overwrite this tape.  

In all cases, if a continuation tape is needed, ARCserve/Solo will 
look for a tape with the same name and the next highest sequence number.  
If this is not found, it will look for a blank or non-Cheyenne tape.  
If none is available, it will overwrite a tape with a different name, 
i.  e. , one from a different set.  If there are only tapes from the current 
set, ARCserve/Solo will prompt for a new tape.  

NOTE:   A tape which does not belong to the tape set in use can be 
        overwritten.  Therefore, you must not leave tapes with information 
        that you need in one of the tape drives unless it is write-protected.  
        We suggest that any tape being used for restore be write-protected.  
